libgphoto2 photo camera library (libgphoto2) API: CameraAbilities Struct Reference

libgphoto2 photo camera library (libgphoto2) API 2.5.33

Loading...
Searching...
No Matches
CameraAbilities Struct Reference

Describes the properties of a specific camera. More...

`#include <gphoto2-abilities-list.h>`

## Data Fields
char | model [128]
| name of camera model
CameraDriverStatus | status
| driver quality
GPPortType | port
| Supported port types.
int | speed [64]
| Supported serial port speeds (terminated with a value of 0).
CameraOperation | operations
| Camera operation funcs.
CameraFileOperation | file_operations
| Camera file op funcs.
CameraFolderOperation | folder_operations
| Camera folder op funcs.
int | usb_vendor
| USB Vendor D.
int | usb_product
| USB Product ID.
int | usb_class
| USB device class.
int | usb_subclass
| USB device subclass.
int | usb_protocol
| USB device protocol.
char | library [1024]
| (Internal) library filename
char | id [1024]
| (Internal) camera ID name
GphotoDeviceType | device_type
| Device type.
int | reserved2
int | reserved3
int | reserved4
int | reserved5
int | reserved6
int | reserved7
int | reserved8

## Detailed Description

Describes the properties of a specific camera.

The internals of this structures are used extensively by the camlibs, but the status regarding use by frontends is questionable.

## Field Documentation

## ◆ reserved2

int CameraAbilities::reserved2

Reserved space to use in the future w/out changing the struct size reserved space

## ◆ reserved3

int CameraAbilities::reserved3

reserved space

## ◆ reserved4

int CameraAbilities::reserved4

reserved space

## ◆ reserved5

int CameraAbilities::reserved5

reserved space

## ◆ reserved6

int CameraAbilities::reserved6

reserved space

## ◆ reserved7

int CameraAbilities::reserved7

reserved space

## ◆ reserved8

int CameraAbilities::reserved8

reserved space

The documentation for this struct was generated from the following file:

- gphoto2/gphoto2-abilities-list.h